%define major		7
%define oname		%{name}

%define libname %mklibname dvbpsi %{major}
%define develname %mklibname -d dvbpsi

Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Name:		libdvbpsi
Version:	0.2.2
Release:	3
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.videolan.org/libdvbpsi/
Source:		http://www.videolan.org/pub/videolan/libdvbpsi/%{version}/%{oname}-%{version}.tar.bz2

%description
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n %{libname}
Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Group:		System/Libraries
Provides:	%{name}

%description -n %{libname}
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n %{develname}
Summary:	Development tools for programs which will use the libdvbpsi library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname -d dvbpsi 4} < 0.2.2

%description -n %{develname}
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate MPEG 2 and DVB PSI
information using the %{name} library.

If you are going to develop programs which will manipulate MPEG 2 and DVB PSI
information you should install %{name}-devel.  You'll also need to have
the %{name} package installed.


%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x \
	--enable-release \
	--disable-static
%make

%install
%makeinstall_std

%files -n %{libname}
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc COPYING
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.2.2-3
+ Revision: 15a55df
- MassBuild#440: Increase release tag


